<launch>

    <!-- <include file="$(find gnss_module_lgsvl)/launch/lgsvl_websocket_bridge.launch"/> -->

    <arg name="gnss_type" default="NMEA" />

    <!-- lglsv 2020.5  d_yaw  [-180,180] -->
    <!-- <arg name="d_yaw" default="-90" /> -->

    <!-- lglsv 2020.6  d_yaw  [-180,180] -->
    <arg name="d_yaw" default="0" />

    <node pkg="gnss_module_lgsvl" type="gnss_module_core" name="gnss_module_core_lgsvl" output="screen">
        <param name="gnss_type" value="$(arg gnss_type)"/>
        <param name="d_yaw" value="$(arg d_yaw)"/>
    </node>


    <arg name="ui_path" default="$(find gnss_module_lgsvl)/ui" />

    <node pkg="gnss_module_lgsvl" type="gnss_module_gui" name="gnss_module_gui_lgsvl" required='true' output="screen">
        <param name="gnss_type" value="$(arg gnss_type)"/>
        <param name="ui_path" value="$(arg ui_path)"/>

    </node>

</launch>
